OpenZWave Library: Z-Wave CommandClass Support

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Classes | Functions
Z-Wave CommandClass Support

## Classes
class | OpenZWave::Alarm
| Implements COMMAND_CLASS_NOTIFICATION (0x71), a Z-Wave device command class. More...
class | OpenZWave::ApplicationStatus
| Implements COMMAND_CLASS_APPLICATION_STATUS (0x22), a Z-Wave device command class. More...
class | OpenZWave::Association
| Implements COMMAND_CLASS_ASSOCIATION (0x85), a Z-Wave device command class. More...
class | OpenZWave::AssociationCommandConfiguration
| Implements COMMAND_CLASS_ASSOCIATION_COMMAND_CONFIGURATION (0x9b), a Z-Wave device command class. More...
class | OpenZWave::BarrierOperator
| Implements COMMAND_CLASS_BARRIER_OPERATOR (0x66), a Z-Wave device command class. More...
class | OpenZWave::Basic
| Implements COMMAND_CLASS_BASIC (0x20), a Z-Wave device command class. More...
class | OpenZWave::BasicWindowCovering
| Implements COMMAND_CLASS_BASIC_WINDOW_COVERING (0x50), a Z-Wave device command class. More...
class | OpenZWave::Battery
| Implements COMMAND_CLASS_BATTERY (0x80), a Z-Wave device command class. More...
class | OpenZWave::CentralScene
| Implements COMMAND_CLASS_CENTRAL_SCENE (0x5B), a Z-Wave device command class. More...
class | OpenZWave::ClimateControlSchedule
| Implements COMMAND_CLASS_CLIMATE_CONTROL_SCHEDULE (0x46), a Z-Wave device command class. More...
class | OpenZWave::Clock
| Implements COMMAND_CLASS_CLOCK (0x81), a Z-Wave device command class. More...
class | OpenZWave::Color
| Implements COMMAND_CLASS_COLOR (0x33), a Z-Wave device command class. More...
class | OpenZWave::CommandClass
| Base class for all Z-Wave command classes. More...
class | OpenZWave::CommandClasses
| Manages a map of command classes supported by a specific Z-Wave node. More...
class | OpenZWave::Configuration
| Implements COMMAND_CLASS_CONFIGURATION (0x70), a Z-Wave device command class. More...
class | OpenZWave::ControllerReplication
| Implements COMMAND_CLASS_CONTROLLER_REPLICATION (0x21), a Z-Wave device command class. More...
class | OpenZWave::CRC16Encap
| Implements COMMAND_CLASS_CRC_16_ENCAP (0x56), a Z-Wave device command class. More...
class | OpenZWave::DeviceResetLocally
| Implements COMMAND_CLASS_DEVICE_RESET_LOCALLY (0x5a), a Z-Wave device command class. More...
class | OpenZWave::DoorLock
| Implements COMMAND_CLASS_DOOR_LOCK (0x62), a Z-Wave device command class. More...
class | OpenZWave::DoorLockLogging
| Implements COMMAND_CLASS_DOOR_LOCK_LOGGING (0x4C), a Z-Wave device command class. More...
class | OpenZWave::EnergyProduction
| Implements COMMAND_CLASS_ENERGY_PRODUCTION (0x90), a Z-Wave device command class. More...
class | OpenZWave::Hail
| Implements COMMAND_CLASS_HAIL (0x82), a Z-Wave device command class. More...
class | OpenZWave::Indicator
| Implements COMMAND_CLASS_INDICATOR (0x87), a Z-Wave device command class. More...
class | OpenZWave::Language
| Implements COMMAND_CLASS_LANGUAGE (0x89), a Z-Wave device command class. More...
class | OpenZWave::Lock
| Implements COMMAND_CLASS_LOCK (0x76), a Z-Wave device command class. More...
class | OpenZWave::ManufacturerProprietary
| Implements COMMAND_CLASS_PROPRIETARY (0x91), a Z-Wave device command class. More...
class | OpenZWave::ManufacturerSpecific
| Implements COMMAND_CLASS_MANUFACTURER_SPECIFIC (0x72), a Z-Wave device command class. More...
class | OpenZWave::Meter
| Implements COMMAND_CLASS_METER (0x32), a Z-Wave device command class. More...
class | OpenZWave::MeterPulse
| Implements COMMAND_CLASS_METER_PULSE (0x35), a Z-Wave device command class. More...
class | OpenZWave::MultiChannelAssociation
| Implements COMMAND_CLASS_MULTI_CHANNEL_ASSOCIATION (0x8E), a Z-Wave device command class. More...
class | OpenZWave::MultiCmd
| Implements COMMAND_CLASS_MULTI_CMD (0x8f), a Z-Wave device command class. More...
class | OpenZWave::MultiInstance
| Implements COMMAND_CLASS_MULTI_INSTANCE (0x60), a Z-Wave device command class. More...
class | OpenZWave::NodeNaming
| Implements COMMAND_CLASS_NODE_NAMING (0x77), a Z-Wave device command class. More...
class | OpenZWave::NoOperation
| Implements COMMAND_CLASS_NO_OPERATION (0x00), a Z-Wave device command class. More...
class | OpenZWave::Powerlevel
| Implements COMMAND_CLASS_POWERLEVEL (0x73), a Z-Wave device command class. More...
class | OpenZWave::Proprietary
| Implements COMMAND_CLASS_PROPRIETARY (0x88), a Z-Wave device command class. More...
class | OpenZWave::Protection
| Implements COMMAND_CLASS_PROTECTION (0x75), a Z-Wave device command class. More...
class | OpenZWave::SceneActivation
| Implements COMMAND_CLASS_SCENEACTIVATION (0x2B), a Z-Wave device command class. More...
class | OpenZWave::Security
| Implements COMMAND_CLASS_SECURITY (0x98), a Z-Wave device command class. More...
class | OpenZWave::SensorAlarm
| Implements COMMAND_CLASS_SENSOR_ALARM (0x9c), a Z-Wave device command class. More...
class | OpenZWave::SensorBinary
| Implements COMMAND_CLASS_SENSOR_BINARY (0x30), a Z-Wave device command class. More...
class | OpenZWave::SensorMultilevel
| Implements COMMAND_CLASS_SENSOR_MULTILEVEL (0x31), a Z-Wave device command class. More...
class | OpenZWave::SoundSwitch
| Implements COMMAND_CLASS_SOUND_SWITCH (0x79), a Z-Wave device command class. More...
class | OpenZWave::SwitchAll
| Implements COMMAND_CLASS_SWITCH_ALL (0x27), a Z-Wave device command class. More...
class | OpenZWave::SwitchBinary
| Implements COMMAND_CLASS_SWITCH_BINARY (0x25), a Z-Wave device command class. More...
class | OpenZWave::SwitchMultilevel
| Implements COMMAND_CLASS_SWITCH_MULTILEVEL (0x26), a Z-Wave device command class. More...
class | OpenZWave::SwitchToggleBinary
| Implements COMMAND_CLASS_SWITCH_TOGGLE_BINARY (0x28), a Z-Wave device command class. More...
class | OpenZWave::SwitchToggleMultilevel
| Implements COMMAND_CLASS_SWITCH_TOGGLE_MULTILEVEL (0x29), a Z-Wave device command class. More...
class | OpenZWave::ThermostatFanMode
| Implements COMMAND_CLASS_THERMOSTAT_FAN_MODE (0x44), a Z-Wave device command class. More...
class | OpenZWave::ThermostatFanState
| Implements COMMAND_CLASS_THERMOSTAT_FAN_STATE (0x45), a Z-Wave device command class. More...
class | OpenZWave::ThermostatMode
| Implements COMMAND_CLASS_THERMOSTAT_MODE (0x40), a Z-Wave device command class. More...
class | OpenZWave::ThermostatOperatingState
| Implements COMMAND_CLASS_THERMOSTAT_OPERATING_STATE (0x42), a Z-Wave device command class. More...
class | OpenZWave::ThermostatSetpoint
| Implements COMMAND_CLASS_THERMOSTAT_SETPOINT (0x43), a Z-Wave device command class. More...
class | OpenZWave::TimeParameters
| Implements COMMAND_CLASS_TIME_PARAMETERS (0x8B), a Z-Wave device command class. More...
class | OpenZWave::UserCode
| Implements COMMAND_CLASS_USER_CODE (0x63), a Z-Wave device command class. More...
class | OpenZWave::Version
| Implements COMMAND_CLASS_VERSION (0x86), a Z-Wave device command class. More...
class | OpenZWave::WakeUp
| Implements COMMAND_CLASS_WAKE_UP (0x84), a Z-Wave device command class. More...
class | OpenZWave::ZWavePlusInfo
| Implements COMMAND_CLASS_ZWAVEPLUS_INFO (0x5E), a Z-Wave device command class. More...

## Functions
string | OpenZWave::ExtractString (uint8 const *_data, uint32 const _length)
| Extract a String from a Z-Wave Encoded Packet.
uint32 | OpenZWave::ConvertUFT16ToUTF8 (uint16 _utf16, char *_buffer, uint32 pos)
| Convert from UTF16 to UTF8.

## Detailed Description

This is the CommandClasses that OZW currently supports. Typically, a Application does not need to be aware of the CommandClasses a Device exposes, as they would be transparently exposed to the application as ValueID's

## Function Documentation

## ◆ ConvertUFT16ToUTF8()

uint32 OpenZWave::ConvertUFT16ToUTF8 | ( | uint16 | _utf16,
|  | char * | _buffer,
|  | uint32 | pos
| ) |  |

Convert from UTF16 to UTF8.

this function is used by the NodeNaming CC as well as the Alarm CC

## ◆ ExtractString()

string OpenZWave::ExtractString | ( | uint8 const * | _data,
|  | uint32 const | _length
| ) |  |

Extract a String from a Z-Wave Encoded Packet.

this function is used by the NodeNaming CC as well as the Alarm CC